diff --git a/pkgmngt/packageManager.xml.pacman b/pkgmngt/packageManager.xml.pacman
index aa4e9ce..16cb844 100644
--- a/pkgmngt/packageManager.xml.pacman
+++ b/pkgmngt/packageManager.xml.pacman
@@ -646,39 +750,1868 @@ cp -v -R docs/*     $PKG_DEST/usr/share/doc/curl-&curl-version;</userinput></scr
 
   <title>Pacman-&pacman-version;</title>
 
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="pre">tar -xf ../pacman-hooks-&pacman-hooks-version;.tar.xz</userinput></screen>
+
+<screen><userinput remap="configure">meson --prefix=/usr                   \
+      --buildtype=plain               \
+      -Ddoc=disabled                  \
+      -Ddoxygen=disabled              \
+      -Dscriptlet-shell=/usr/bin/bash \
+      -Dldconfig=/usr/bin/ldconfig    \
+      build</userinput></screen>
+
+<screen><userinput remap="make">meson compile -C build</userinput></screen>
+
+
+<screen><userinput remap="install">meson install -C build
+rm -f pacman-hooks-&pacman-hooks-version;/hooks/*systemd*
+rm -f pacman-hooks-&pacman-hooks-version;/hooks/dbus-reload.hook
+rm -f pacman-hooks-&pacman-hooks-version;/scripts/*systemd*
+sed '/^Target/s@/\*@/*.info*@' -i \
+    pacman-hooks-&pacman-hooks-version;/hooks/texinfo-install.hook
+install -vdm755 /usr/share/libalpm/{hooks,scripts}/
+install -vm644  pacman-hooks-&pacman-hooks-version;/hooks/* \
+                /usr/share/libalpm/hooks/
+install -vm755  pacman-hooks-$&pacman-hooks-version;/scripts/* \
+                /usr/share/libalpm/scripts/</userinput></screen>
+
+<screen><userinput>cat &gt;&gt; /etc/makepkg.conf &lt;&lt; "EOF"
+PACKAGER="Linux From Scratch &lt;lfs-dev@lists.linuxfromscrtch.org&gt;"
+PKGDEST="/srv/pacman/repos/LFS"
+SRCDEST="/sources"
+LOGDEST="/srv/pacman/logs/LFS"
+EOF
+
+sed -e /PKGEXT/s/gz/xz/                                \
+    -e /SRCEXT/s/gz/xz/                                \
+    -e /^INTEGRITY/s/ck/md5/                           \
+    -e '/^OPTIONS/s/\([^!]\)emptydirs/\1!emptydirs/'   \
+    -e '/^OPTIONS/s/\([^!]\)libtoo/\1!libtool/'        \
+    -e '/^OPTIONS/s/\([^!]\)staticlibs/\1!staticlibs/' \
+    -i ${pkgdir}/etc/makepkg.conf
+cat &gt;&gt; /etc/pacman.conf &lt;&lt; "EOF"
+
+[LFS]
+# Uncomment after GPGME is installed in the final build
+# SigLevel = Optional TrustAll
+Server = file:///srv/pacman/repos/LFS
+
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-chroot-pacman-contrib" role="wrap">
+  <?dbhtml filename="pacman-contrib.html"?>
+
+  <sect1info condition="script">
+    <productname>pacman-contrib</productname>
+    <productnumber>&pacman-contrib-version;</productnumber>
+    <address>&pacman-contrib-url;</address>
+  </sect1info>
+
+  <title>pacman-contrib-&pacman-contrib-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="pre">patch -Np1 -i ../&pacman-contrib-patch;
+chmod 755 configure</userinput></screen>
+<screen><userinput remap="configure">./configure --prefix=/usr        \
+            --sysconfdir=/etc    \
+            --localstatedir=/var \
+            --disable-doc</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make install
+rm -rf /usr/share/vim</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-chroot-shadow" role="wrap">
+  <?dbhtml filename="shadow.html"?>
+
+  <sect1info condition="script">
+    <productname>shadow</productname>
+    <productnumber>&shadow-version;</productnumber>
+    <address>&shadow-url;</address>
+  </sect1info>
+
+  <title>shadow-&shadow-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="pre">sed -e 's:#ENCRYPT_METHOD DES:ENCRYPT_METHOD SHA512:' \
+    -e 's:/var/spool/mail:/var/mail:'                 \
+    -e '/PATH=/{s@/sbin:@@;s@/bin:@@}'                \
+    -i etc/login.defs
+sed -e "224s/rounds/min_rounds/" -i libmisc/salt.c</userinput></screen>
+<screen><userinput remap="configure">touch /usr/bin/passwd
+./configure --sysconfdir=/etc \
+            --with-group-name-max-length=32</userinput></screen>
+<screen><userinput remap="make">make</userinput></screen>
+<screen><userinput remap="install">make exec_prefix=/usr install
+mkdir -p /etc/default
+useradd -D --gid 999</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<!-- It is not ideal to do build the next two packages here ( without officially
+     being in chapter08), but it gets the order correct, and we already do this
+     in LFS with the linux-api-headers package, it must be done here as well-->
+
+<sect1 id="ch-chroot-rootfs" role="wrap">
+  <?dbhtml filename="rootfs.html"?>
+
+  <sect1info condition="script">
+    <productname>rootfs</productname>
+    <productnumber>1.0</productnumber>
+    <address>https://www.linuxfromscratch.org/</address>
+  </sect1info>
+
+  <title>rootfs-1.0</title>
+
+  <sect2 role="installation">
+    <title/>
+
+<screen><userinput remap="make"># Not actually part of the package, but this needs to be done now...
+# Delete all man/info pages, documentation, and libtool archives
+rm -rf /usr/share/man/*
+rm -f /usr/share/info/*
+rm -rf /usr/share/doc/*
+find /usr/{lib,libexec} -name \*.la -delete
+
+# Here we create our first pacakge
+# Note: this combines many sections from LFS and configuration files that
+# will be overwritten as jhalfs progresses are marked as config files
+mkdir rootfs
+cd rootfs
+cat &gt; PKGBUILD &lt;&lt; "REALEOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname=rootfs
+pkgver=1.0
+pkgrel=1
+pkgdesc="Skeleton directory layout"
+arch=('any')
+license=('CC-BY-SA-2.0')
+groups=('core')
+backup=('etc/fstab'
+        'etc/group'
+        'etc/hosts'
+        'etc/inputrc'
+        'etc/ld.so.conf'
+        'etc/ld.so.cache'
+        'etc/passwd'
+        'etc/resolv.conf'
+        'etc/shells'
+        'usr/share/info/dir'
+        'var/log/btmp'
+        'var/log/faillog'
+        'var/log/lastlog'
+        'var/log/wtmp')
+# Don't compress /usr/share/info/dir
+options=(!zipman)
+
+package(){
+  # Don't remove /usr/share/info/dir for only this package
+  PURGE_TARGETS=(.packlist *.pod)
+
+  # LFS Section 4.2
+  install -vdm755 ${pkgdir}/{etc,lib64,usr/{bin,lib,sbin},var}
+  for i in bin lib sbin; do
+    ln -sfv usr/$i ${pkgdir}/$i
+  done
+
+  # LFS Section 7.3
+  install -vdm755 ${pkgdir}/{dev,proc,run,sys}
+
+  # LFS Section 7.3.1
+  mknod -m 666 ${pkgdir}/dev/console c 5 1
+  mknod -m 666 ${pkgdir}/dev/null c 1 3
+
+  # LFS Section 7.5
+  install -vdm755 ${pkgdir}/{boot,home,mnt,opt,srv}
+  install -vdm755 ${pkgdir}/etc/{opt,sysconfig}
+  install -vdm755 ${pkgdir}/lib/firmware
+  install -vdm755 ${pkgdir}/media/{floppy,cdrom}
+  install -vdm755 ${pkgdir}/usr/{,local/}{include,src}
+  install -vdm755 ${pkgdir}/usr/local/{bin,lib,sbin}
+  install -vdm755 ${pkgdir}/usr/{,local/}share/{color,dict,doc,info,locale,man}
+  install -vdm755 ${pkgdir}/usr/{,local/}share/{misc,terminfo,zoneinfo}
+  install -vdm755 ${pkgdir}/usr/{,local/}share/man/man{1..8}
+  install -vdm755 ${pkgdir}/var/{cache,local,log,mail,opt,spool}
+  install -vdm755 ${pkgdir}/var/lib/{color,misc,locate}
+  install -vdm750 ${pkgdir}/root
+  install -vdm1777 ${pkgdir}{,/var}/tmp
+  ln -sfv /run ${pkgdir}/var/run
+  ln -sfv /run/lock ${pkgdir}/var/lock
+
+  # LFS Section 7.6
+  ln -sfv /proc/self/mounts ${pkgdir}/etc/mtab
+  cat &gt; ${pkgdir}/etc/passwd &lt;&lt; "EOF"
+root:x:0:0:root:/root:/bin/bash
+bin:x:1:1:bin:/dev/null:/bin/false
+daemon:x:6:6:Daemon User:/dev/null:/bin/false
+messagebus:x:18:18:D-Bus Message Daemon User:/run/dbus:/bin/false
+uuidd:x:80:80:UUID Generation Daemon User:/dev/null:/bin/false
+nobody:x:99:99:Unprivileged User:/dev/null:/bin/false
+tester:x:1001:101::/home/tester:/bin/bash
+pacman:x:102:102:Pacman Packaging User:/home/pacman:/bin/bash
+EOF
+  cat &gt; ${pkgdir}/etc/group &lt;&lt; "EOF"
+root:x:0:
+bin:x:1:daemon
+sys:x:2:
+kmem:x:3:
+tape:x:4:
+tty:x:5:
+daemon:x:6:
+floppy:x:7:
+disk:x:8:
+lp:x:9:
+dialout:x:10:
+audio:x:11:
+video:x:12:
+utmp:x:13:
+usb:x:14:
+cdrom:x:15:
+adm:x:16:
+messagebus:x:18:
+input:x:24:
+mail:x:34:
+kvm:x:61:
+uuidd:x:80:
+wheel:x:97:
+nogroup:x:99:
+tester:x:101:
+pacman:x:102:
+users:x:999:
+EOF
+
+  touch ${pkgdir}/var/log/{btmp,lastlog,faillog,wtmp}
+  chgrp -v utmp ${pkgdir}/var/log/lastlog
+  chmod -v 664  ${pkgdir}/var/log/lastlog
+  chmod -v 600  ${pkgdir}/var/log/btmp
+
+  # LFS Sections 7.6 and 9.5.4
+  cat &gt; ${pkgdir}/etc/hosts &lt;&lt; "EOF"
+# Begin /etc/hosts
+
+# IPv4
+127.0.0.1 localhost.localdomain localhost
+# Populate the follwoing lines after installation
+#127.0.1.1 &lt;FQDN&gt; &lt;HOSTNAME&gt;
+#&lt;192.168.1.1&gt; &lt;FQDN&gt; &lt;HOSTNAME&gt; [alias1] [alias2 ...]
+
+# IPv6
+::1       localhost ip6-localhost ip6-loopback
+ff02::1   ip6-allnodes
+ff02::2   ip6-allrouters
+
+# End /etc/hosts
+EOF
+
+  # LFS Section 8.5.2.3
+  install -vdm755 ${pkgdir}/etc/ld.so.conf.d/
+  cat &gt; ${pkgdir}/etc/ld.so.conf &lt;&lt; "EOF"
+# Begin /etc/ld.so.conf
+
+/usr/local/lib
+/opt/lib
+
+# Add an include directory
+include /etc/ld.so.conf.d/*.conf
+
+# End /etc/ld.so.conf
+EOF
+
+  # LFS Section 9.5.2
+  cat &gt; ${pkgdir}/etc/resolv.conf &lt;&lt; "EOF"
+# Begin /etc/resolv.conf
+
+domain localdomain
+nameserver 8.8.8.8
+nameserver 8.8.4.4
+
+# End /etc/resolv.conf
+EOF
+
+  # LFS Section 9.5.3
+  echo "lfs" &gt; ${pkgdir}/etc/hostname
+
+  # LFS Section 9.8
+  cat &gt; ${pkgdir}/etc/inputrc &lt;&lt; "EOF"
+# Begin /etc/inputrc
+# Modified by Chris Lynn &lt;roryo@roryo.dynup.net&gt;
+
+# Allow the command prompt to wrap to the next line
+set horizontal-scroll-mode Off
+
+# Enable 8bit input
+set meta-flag On
+set input-meta On
+
+# Turns off 8th bit stripping
+set convert-meta Off
+
+# Keep the 8th bit for display
+set output-meta On
+
+# none, visible or audible
+set bell-style none
+
+# All of the following map the escape sequence of the value
+# contained in the 1st argument to the readline specific functions
+"\eOd": backward-word
+"\eOc": forward-word
+
+# for linux console
+"\e[1~": beginning-of-line
+"\e[4~": end-of-line
+"\e[5~": beginning-of-history
+"\e[6~": end-of-history
+"\e[3~": delete-char
+"\e[2~": quoted-insert
+
+# for xterm
+"\eOH": beginning-of-line
+"\eOF": end-of-line
+
+# for Konsole
+"\e[H": beginning-of-line
+"\e[F": end-of-line
+
+# End /etc/inputrc"${pkgdir}/
+EOF
+
+  # LFS Section 9.9
+  cat &gt; ${pkgdir}/etc/shells &lt;&lt; "EOF"
+# Begin /etc/shells
+
+/bin/sh
+/bin/bash
+
+# End /etc/shells
+EOF
+
+  # LFS Section 10.2
+  cat &gt; ${pkgdir}/etc/fstab &lt;&lt; "EOF"
+# Begin /etc/fstab
+
+# file system  mount-point  type     options             dump  fsck
+#                                                              order
+/dev/&lt;xxx&gt;     /            &lt;fff&gt;    defaults            1     1
+/dev/&lt;yyy&gt;     swap         swap     pri=1               0     0
+proc           /proc        proc     nosuid,noexec,nodev 0     0
+sysfs          /sys         sysfs    nosuid,noexec,nodev 0     0
+devpts         /dev/pts     devpts   gid=5,mode=620      0     0
+tmpfs          /run         tmpfs    defaults            0     0
+devtmpfs       /dev         devtmpfs mode=0755,nosuid    0     0
+
+# End /etc/fstab
+EOF
+
+  # Post LFS fixes:
+  touch ${pkgdir}/usr/share/info/dir
+  chmod 0644 ${pkgdir}/usr/share/info/dir
+  touch ${pkgdir}/etc/ld.so.cache
+  chmod 0644 ${pkgdir}/etc/ld.so.cache
+  chmod 0555 ${pkgdir}/proc
+  chmod 1777 ${pkgdir}/run
+  chmod 0555 ${pkgdir}/sys
+}
+REALEOF
+chown -R pacman:pacman ../rootfs 
+su pacman -c "/usr/bin/makepkg -L --nodeps"
+repo-add \
+    /srv/pacman/repos/LFS/LFS.db.tar.xz \
+    /srv/pacman/repos/LFS/rootfs-1.0-1-any.pkg.tar.xz
+pacman -Syu
+pacman -Sy rootfs --nodeps --overwrite "*" --noconfirm
+mkdir -pv /srv/pacman/source/LFS/rootfs
+cp PKGBUILD /srv/pacman/source/LFS/rootfs/
+cd ..
+rm -rf rootfs</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-chroot-linux-api-headers" role="wrap">
+  <?dbhtml filename="linux-api-headers.html"?>
+
+  <sect1info condition="script">
+    <productname>linux-api-headers</productname>
+    <productnumber>&linux-version;</productnumber>
+    <address>&linux-url;</address>
+  </sect1info>
+
+  <title>linux-api-headers-&linux-version;</title>
+
   <sect2 role="installation">
     <title/>
 
-<screen><userinput remap="configure">mkdir build
-cd build
-meson --prefix=/usr \
-      -Dcrypto=openssl</userinput></screen>
+<screen><userinput remap="install">mkdir linux-api-headers
+cd linux-api-headers
+cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="linux-api-headers"
+pkgver="&linux-version;"
+pkgrel="1"
+pkgdesc="Linux Kernel Application Programming Interface (API)"
+arch=('any')
+license=('GPLv2')
+groups=('core')
+depends=('rootfs')
+makedepends=('bash'
+             'binutils'
+             'coreutils'
+             'findutils'
+             'gcc'
+             'glibc'
+             'grep'
+             'gzip'
+             'make'
+             'perl'
+             'sed')
+source=('https://www.kernel.org/pub/linux/kernel/v5.x/linux-&linux-version;.tar.xz')
+md5sums=('&linux-md5;')
+
+prepare(){
+  cd "linux-${pkgver}"
+  make mrproper
+}
+
+build(){
+  cd "linux-${pkgver}"
+  make headers
+  find usr/include -name '.*' -delete
+  rm usr/include/Makefile
+}
+
+package(){
+  cd "linux-${pkgver}"
+  mkdir "${pkgdir}/usr"
+  cp -rv usr/include "${pkgdir}/usr/"
+}
 
-<screen><userinput remap="make">ninja</userinput></screen>
+EOF
+chown -R pacman:pacman ../linux-api-headers
+cp /sources/linux-&linux-version;.tar.xz .
+su pacman -c "/usr/bin/makepkg -L --nodeps --nodeps"
+repo-add \
+    /srv/pacman/repos/LFS/LFS.db.tar.xz \
+    /srv/pacman/repos/LFS/linux-api-headers-&linux-version;-1-any.pkg.tar.xz
+pacman -Syu
+pacman -Sy linux-api-headers --nodeps --overwrite "*" --noconfirm
+mkdir -pv /srv/pacman/source/LFS/linux-api-headers
+cp PKGBUILD /srv/pacman/source/LFS/linux-api-headers/
+cd ..
+rm -rf linux-api-headers</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<!-- Mandatory section for creating dirs. These instructions are added at the
+end of the creating dirs instructions of the book. Do not change the
+following line -->
+<sect1 id="ch-pkgmngt-creatingdirs">
+
+  <title>Creating Directories</title>
+
+<screen><userinput>mkdir -p /srv/pacman/{logs,repos,source}/LFS</userinput></screen>
+
+</sect1>
+<!-- Same for files. Do not change the following line -->
+<sect1 id="ch-pkgmngt-createfiles">
+
+  <title>Creating Essential Files</title>
+
+<screen><userinput>echo "pacman:x:102:102:Pacman Packaging User:/home/pacman:/bin/bash" >> /etc/passwd
+echo "pacman:x:102:" >> /etc/group
+install -o pacman -d /home/pacman
+chown -R root:pacman /srv/pacman
+chmod 2775 /srv/pacman/{repos{,/LFS},source{,/LFS},logs{,/LFS}}</userinput></screen>
+
+</sect1>
+
+<!-- Last but not least : Final instructions for installing the
+package manager at the end of chapter 6. Again, the scriptlet file name is
+taken from the dbhtml instruction, with digits added before and .html cut
+and the tarball name is formed from this name + version. So the file
+here _must_ be the same as in chapter 5. If rendering in html, both
+sets of instructions end up in the same file, which is usually not a problem.
+-->
+<sect1 id="ch-system-core" role="wrap">
+  <?dbhtml filename="core.html"?>
+
+  <sect1info condition="script">
+    <productname>core</productname>
+    <productnumber>1.0</productnumber>
+    <address>&lfs-root;</address>
+  </sect1info>
 
-<!-- Those instructions are executed with PKG_DEST set. They are not processed
-in any way to add $PKG_DEST at some place, and the PKG_DEST directory is not
-populated before, so it is basically empty. You have thus to create any directory
-needed in $PKG_DEST and not otherwise created by the make install command. -->
-<screen><userinput remap="install">DESTDIR=$PKG_DEST ninja install</userinput></screen>
+  <title>core-1.0</title>
 
-<screen><userinput>sed -e 's/\([^!]\)strip/\1!strip/' \
-    -e 's/\([^!]\)zipman/\1!zipman/' \
-    -e 's/\([^!]\)libtool/\1!libtool/' \
-    -i /etc/makepkg.conf
-cat &gt;&gt; /etc/makepkg.conf &lt;&lt; EOF
-BUILDDIR=/sources
-PKGDEST=/var/lib/packages
-PACKAGER="Pierre Labastie &lt;lnimbus@club-internet.fr&lt;"
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">pacman -Qg | grep core | cut -d " " -f 2 | \
+    sed 's@^@          @' &gt; pkglist
+    echo "          'linux'" &gt;&gt; pkglist
+cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="core"
+pkgver="1.0"
+pkgrel="1"
+pkgdesc="core meta-package"
+url="https://www.linuxfromscratch.org/"
+arch=('any')
+license=('CC-BY-SA-2.0')
+depends=(
 EOF
-cat &gt;&gt; /etc/pacman.conf &lt;&lt; EOF
-DBPath   = /var/lib/pacman/
-CacheDir = /var/cache/pacman/pkg/
-LogFile  = /var/log/pacman.log
-SigLevel = Never
+cat pkglist >> PKBUILD
+echo "         )" >> PKGBUILD</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-fakeroot" role="wrap">
+  <?dbhtml filename="fakeroot.html"?>
+
+  <sect1info condition="script">
+    <productname>fakeroot</productname>
+    <productnumber>&fakeroot-version;</productnumber>
+    <address>&fakeroot-url;</address>
+  </sect1info>
+
+  <title>fakeroot-&fakeroot-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="fakeroot"
+pkgver="&fakeroot-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+checkdepends=('sharutils')
+source=('&fakeroot-url;'
+        '&fakeroot-patch;')
+md5sums=('&fakeroot-md5;'
+         '&fakeroot-patch-md5;')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  patch -Np1 -i ${srcdir}/&fakeroot-patch;
+  autoreconf -fi
+}
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr --disable-static
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make -k check || true
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  sed '/SUBDIRS/s/doc //' -i Makefile
+  make DESTDIR="${pkgdir}" install
+  install -vdm755 ${pkgdir}/usr/share/man/man1
+  install -vm644  doc/fake{d,root}.1 ${pkgdir}/usr/share/man/man1
+  chown -R root:root ${pkgdir}/*
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+<sect1 id="ch-system-libxml2" role="wrap">
+  <?dbhtml filename="libxml2.html"?>
+
+  <sect1info condition="script">
+    <productname>libxml2</productname>
+    <productnumber>&libxml2-version;</productnumber>
+    <address>&libxml2-url;</address>
+  </sect1info>
+
+  <title>Libxml2-&libxml2-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="libxml2"
+pkgver="&libxml2-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+optdepends=('icu'
+            'valgrind')
+source=('&libxml2-url;'
+        '&libxml2-testsuite-url;')
+md5sums=('&libxml2-md5;'
+         '&libxml2-testsuite-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr    \
+              --disable-static \
+              --with-history   \
+              --with-python=/usr/bin/python3
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  tar -xf ${srcdir}/&libxml2-testsuite;
+  make check
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  chown -Rv root:root ${pkgdir}/*
+}
 EOF</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-libarchive" role="wrap">
+  <?dbhtml filename="libarchive.html"?>
+
+  <sect1info condition="script">
+    <productname>libarchive</productname>
+    <productnumber>&libarchive-version;</productnumber>
+    <address>&libarchive-url;</address>
+  </sect1info>
+
+  <title>Libarchive-&libarchive-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="libarchive"
+pkgver="&libarchive-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+optdepends=('libxml2'
+            'lzo'
+            'nettle')
+source=('&libarchive-url;')
+md5sums=('&libarchive-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr \
+              --disable-static
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  LC_ALL=C make check
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  chown -Rv root:root ${pkgdir}/*
+}
+EOF</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-libgpg-error" role="wrap">
+  <?dbhtml filename="libgpg-error.html"?>
+
+  <sect1info condition="script">
+    <productname>libgpg-error</productname>
+    <productnumber>&libgpg-error-version;</productnumber>
+    <address>&libgpg-error-url;</address>
+  </sect1info>
+
+  <title>libgpg-error-&libgpg-error-version;</title>
 
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="libgpg-error"
+pkgver="&libgpg-error-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+source=('&libgpg-error-url;')
+md5sums=('&libgpg-error-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make check
+}
+
+package(){
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}/" install
+}
+EOF</userinput></screen>
   </sect2>
 
 </sect1>
+
+<sect1 id="ch-system-libassuan" role="wrap">
+  <?dbhtml filename="libassuan.html"?>
+
+  <sect1info condition="script">
+    <productname>libassuan</productname>
+    <productnumber>&libassuan-version;</productnumber>
+    <address>&libassuan-url;</address>
+  </sect1info>
+
+  <title>libassuan-&libassuan-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="libassuan"
+pkgver="&libassuan-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core'
+         'libgpg-error')
+source=('&libassuan-url;')
+md5sums=('&libassuan-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make check
+}
+
+package(){
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}/" install
+}
+EOF</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-npth" role="wrap">
+  <?dbhtml filename="npth.html"?>
+
+  <sect1info condition="script">
+    <productname>npth</productname>
+    <productnumber>&npth-version;</productnumber>
+    <address>&npth-url;</address>
+  </sect1info>
+
+  <title>npth-&npth-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="npth"
+pkgver="&npth-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+source=('&npth-url;')
+md5sums=('&npth-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make -k check || true
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR=${pkgdir} install
+}
+EOF</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-gnupg" role="wrap">
+  <?dbhtml filename="gnupg.html"?>
+
+  <sect1info condition="script">
+    <productname>gnupg</productname>
+    <productnumber>&gnupg-version;</productnumber>
+    <address>&gnupg-url;</address>
+  </sect1info>
+
+  <title>gnupg-&gnupg-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="gnupg"
+pkgver="&gnupg-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groupd=('core-pacman')
+depends=('core'
+         'libassuan'
+         'libgcrypt'
+         'libksba'
+         'npth')
+optdepends=('curl'
+            'fuse'
+            'gnutls'
+            'imagemagick'
+            'libusb'
+            'openldap'
+            'sqlite'
+            'texlive'
+            'fig2dev'
+            'adns')
+checkdepends=('gnupg')
+source=('&gnupg-url;')
+md5sums=('&gnupg-md5;')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  sed -e '/noinst_SCRIPTS = gpg-zip/c sbin_SCRIPTS += gpg-zip' \
+      -i tools/Makefile.in
+}
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr            \
+              --localstatedir=/var     \
+              --docdir=/usr/share/doc/${pkgname}-${pkgver}
+  make
+  makeinfo --html --no-split -o doc/gnupg_nochunks.html doc/gnupg.texi
+  makeinfo --plaintext       -o doc/gnupg.txt           doc/gnupg.texi
+  make -C doc html
+  # REQUIRES texlive
+  # make -C doc pdf ps
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make check || true
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR=${pkgdir} install
+  install -vdm755 ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+  install -vm644  doc/gnupg_nochunks.html \
+                  ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}/gnupg.html
+  install -vm644  doc/*.texi doc/gnupg.txt \
+                  ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+  install -vm644  doc/gnupg.html/* \
+                  ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+  # REQUIRES texlive
+  # install -vm644  doc/gnupg.{pdf,dvi,ps} \
+  #                 ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+}
+EOF</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-gpgme" role="wrap">
+  <?dbhtml filename="gpgme.html"?>
+
+  <sect1info condition="script">
+    <productname>gpgme</productname>
+    <productnumber>&gpgme-version;</productnumber>
+    <address>&gpgme-url;</address>
+  </sect1info>
+
+  <title>gpgme-&gpgme-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="gpgme"
+pkgver="&gpgme-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+optdepends=('clisp'
+            'doxygen'
+            'gnupg'
+            'graphviz'
+            'qt'
+            'swig')
+checkdepends=('gnupg')
+source=('&gpgme-url;')
+md5sums=('&gpgme-md5;')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  sed 's/defined(__sun.*$/1/' -i src/posix-io.c
+}
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make -k check || true
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR=${pkgdir} install
+}
+EOF</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-pth" role="wrap">
+  <?dbhtml filename="pth.html"?>
+
+  <sect1info condition="script">
+    <productname>pth</productname>
+    <productnumber>&pth-version;</productnumber>
+    <address>&pth-url;</address>
+  </sect1info>
+
+  <title>pth-&pth-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="pth"
+pkgver="&pth-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+source=('&pth-url;')
+md5sums=('&pth-md5;')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  sed -i 's#$(LOBJS): Makefile#$(LOBJS): pth_p.h Makefile#' Makefile.in
+}
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr \
+              --mandir=/usr/share/man
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make check
+}
+
+package(){
+  cd ${pkgname}-${pkgver}
+  make -j1 DESTDIR="${pkgdir}/" install
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-libgcrypt" role="wrap">
+  <?dbhtml filename="libgcrypt.html"?>
+
+  <sect1info condition="script">
+    <productname>libgcrypt</productname>
+    <productnumber>&libgcrypt-version;</productnumber>
+    <address>&libgcrypt-url;</address>
+  </sect1info>
+
+  <title>libgcrypt-&libgcrypt-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="libgcrypt"
+pkgver="&libgcrypt-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+makedepends=('unzip')
+optdepends=('libedit')
+source=('&libgcrypt-url;')
+md5sums=('&libgcrypt-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+  make -C doc html
+  makeinfo --html --no-split -o doc/gcrypt_nochunks.html doc/gcrypt.texi
+  makeinfo --plaintext       -o doc/gcrypt.txt           doc/gcrypt.texi
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make check
+}
+
+package(){
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}/" install
+  install -vdm755 ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+  install -vm644  README doc/{README.apichanges,fips*,libgcrypt*} \
+                  ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+  install -vdm755 ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}/html
+  install -vm644  doc/gcrypt.html/* \
+                  ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}/html
+  install -vm644  doc/gcrypt_nochunks.html \
+                  ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+  install -vm644  doc/gcrypt.{txt,texi} \
+                  ${pkgdir}/usr/share/doc/${pkgname}-${pkgver}
+}
+EOF</userinput></screen>
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-libksba" role="wrap">
+  <?dbhtml filename="libksba.html"?>
+
+  <sect1info condition="script">
+    <productname>libksba</productname>
+    <productnumber>&libksba-version;</productnumber>
+    <address>&libksba-url;</address>
+  </sect1info>
+
+  <title>libksba-&libksba-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="libksba"
+pkgver="&libksba-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core'
+         'libgcrypt')
+source=('&libksba-url;')
+md5sums=('&libksba-md5;')
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make check
+}
+
+package(){
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}/" install
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-libtasn1" role="wrap">
+  <?dbhtml filename="libtasn1.html"?>
+
+  <sect1info condition="script">
+    <productname>libtasn1</productname>
+    <productnumber>&libtasn1-version;</productnumber>
+    <address>&libtasn1-url;</address>
+  </sect1info>
+
+  <title>libtasn1-&libtasn1-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="libtasn1"
+pkgver="&libtasn1-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core'
+         'libksba')
+source=('&libtasn1-url;')
+md5sums=('&libtasn1-md5;')
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr \
+              --disable-static
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make check
+}
+
+package(){
+  cd ${pkgname}-${pkgver}
+  make DESTDIR="${pkgdir}/" install
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-p11-kit" role="wrap">
+  <?dbhtml filename="p11-kit.html"?>
+
+  <sect1info condition="script">
+    <productname>p11-kit</productname>
+    <productnumber>&p11-kit-version;</productnumber>
+    <address>&p11-kit-url;</address>
+  </sect1info>
+
+  <title>p11-kit-&p11-kit-version;</title>
+
+  <sect2 role="installation">
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "REALEOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="p11-kit"
+pkgver="&p11-kit-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core'
+         'libtasn1')
+source=('&p11-kit-url;')
+md5sums=('&p11-kit-md5;')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  sed '20,$ d' -i trust/trust-extract-compat
+  cat &gt;&gt; trust/trust-extract-compat &lt;&lt; "EOF"
+# Copy existing anchor modifications to /etc/ssl/local
+/usr/libexec/make-ca/copy-trust-modifications
+
+# Update trust stores
+/usr/sbin/make-ca -r
+EOF
+mkdir p11-build
+}
+
+build(){
+  cd "${pkgname}-${pkgver}/p11-build"
+  meson --prefix=/usr       \
+        --buildtype=release \
+        -Dtrust_paths=/etc/pki/anchors
+  ninja
+}
+
+package(){
+  cd "${pkgname}-${pkgver}/p11-build"
+  DESTDIR=${pkgdir} ninja install
+  ln -sfv /usr/libexec/p11-kit/trust-extract-compat \
+          ${pkgdir}/usr/bin/update-ca-certificates
+  ln -sfv ./pkcs11/p11-kit-trust.so ${pkgdir}/usr/lib/libnssckbi.so
+}
+REALEOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-make-ca" role="wrap">
+  <?dbhtml filename="make-ca.html"?>
+
+  <sect1info condition="script">
+    <productname>make-ca</productname>
+    <productnumber>&make-ca-version;</productnumber>
+    <address>&make-ca-url;</address>
+  </sect1info>
+
+  <title>make-ca-&make-ca-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; make-ca.install &lt;&lt; "EOF"
+#make-ca.install
+
+post_install(){
+  /usr/sbin/make-ca -f -g
+}
+
+post_upgrade(){
+  post_install
+}
+
+EOF
+cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="make-ca"
+pkgver="&make-ca-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+url="http://github.com/djlucas/${pkgname}"
+depends=('core'
+         'p11-kit')
+optdepends=('nss')
+options=('emptydirs')
+install="${pkgname}.install"
+source=('&make-ca-url;')
+md5sums=('&make-ca-md5;')
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR=${pkgdir} install
+  install -vdm755 ${pkgdir}/etc/ssl/local
+  if test ! -d /usr/lib/systemd; then
+    rm -rf "${pkgdir}/usr/lib/systemd"
+  fi
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-unzip" role="wrap">
+  <?dbhtml filename="unzip.html"?>
+
+  <sect1info condition="script">
+    <productname>unzip</productname>
+    <productnumber>&unzip-version;</productnumber>
+    <address>&unzip-url;</address>
+  </sect1info>
+
+  <title>unzip-&unzip-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="unzip"
+pkgver="&unzip-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+source=('&unzip-url;'
+        '&unzip-patch-url;')
+md5sums=('&unzip-md5;'
+         '&unzip-patch-md5;')
+
+prepare(){
+  cd "${pkgname}60"
+  patch -Np1 -i ${srcdir}/&unzip-patch;
+}
+
+build(){
+  cd "${pkgname}60"
+  make -f unix/Makefile generic
+}
+
+package(){
+  cd "${pkgname}60"
+  make prefix=${pkgdir}/usr MANDIR=${pkgdir}/usr/share/man/man1 \
+       -f unix/Makefile install
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-sqlite" role="wrap">
+  <?dbhtml filename="sqlite.html"?>
+
+  <sect1info condition="script">
+    <productname>sqlite</productname>
+    <productnumber>&sqlite-version;</productnumber>
+    <address>&sqlite-url;</address>
+  </sect1info>
+
+  <title>sqlite-&sqlite-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="sqlite"
+pkgver="&sqlite-version;"
+_pkgver="&sqlite-short-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+makedepends=('unzip')
+optdepends=('libedit')
+source=('&sqlite-url;'
+        '&sqlite-doc-url;')
+noextract=('sqlite-doc-${_pkgver}.zip')
+md5sums=('&sqlite-md5;'
+         '&sqlite-doc-md5;')
+
+prepare(){
+  cd "${pkgname}-autoconf-${_pkgver}"
+  unzip -q ${srcdir}/sqlite-doc-${_pkgver}.zip
+}
+  
+build(){
+  cd "${pkgname}-autoconf-${_pkgver}"
+  ./configure --prefix=/usr     \
+              --disable-static  \
+              --enable-fts5     \
+              CPPFLAGS="-DSQLITE_ENABLE_FTS3=1  \
+              -DSQLITE_ENABLE_FTS4=1            \
+              -DSQLITE_ENABLE_COLUMN_METADATA=1 \
+              -DSQLITE_ENABLE_UNLOCK_NOTIFY=1   \
+              -DSQLITE_ENABLE_DBSTAT_VTAB=1     \
+              -DSQLITE_SECURE_DELETE=1          \
+              -DSQLITE_ENABLE_FTS3_TOKENIZER=1"
+  make
+}
+
+check(){
+  cd "${pkgname}-autoconf-${_pkgver}"
+  make check
+}
+
+package(){
+  cd ${pkgname}-autoconf-${_pkgver}
+  make DESTDIR="${pkgdir}/" install
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-nettle" role="wrap">
+  <?dbhtml filename="nettle.html"?>
+
+  <sect1info condition="script">
+    <productname>nettle</productname>
+    <productnumber>&nettle-version;</productnumber>
+    <address>&nettle-url;</address>
+  </sect1info>
+
+  <title>nettle-&nettle-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="nettle"
+pkgver="&nettle-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+source=('&nettle-url;')
+md5sums=('&nettle-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr \
+              --disable-static
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make -k check || true
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR=${pkgdir} install
+  chmod -v 755 ${pkgdir}/usr/lib/lib{hogweed,nettle}.so
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-curl" role="wrap">
+  <?dbhtml filename="curl.html"?>
+
+  <sect1info condition="script">
+    <productname>curl</productname>
+    <productnumber>&curl-version;</productnumber>
+    <address>&curl-url;</address>
+  </sect1info>
+
+  <title>Curl-&curl-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="curl"
+pkgver="&curl-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+optdepends=('brotli'
+            'c-ares'
+            'gnutls'
+            'impacket'
+            'libidn2'
+            'libmetalink'
+            'libpsl'
+            'librtmp'
+            'libssh2'
+            'make-ca'
+            'mit-krb5'
+            'nghttp2'
+            'ngtcp2'
+            'openldap'
+            'quiche'
+            'samba'
+            'spngo'
+            'stunnel'
+            'valgrind')
+source=('&curl-url;')
+md5sums=('&curl-md5;')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  grep -rl '#!.*python$' | xargs sed -i '1s/python/&amp;3/'
+}
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  ./configure --prefix=/usr              \
+              --disable-static           \
+              --with-openssl             \
+              --enable-threaded-resolver \
+              --with-ca-path=/etc/ssl/certs
+  make
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  make test
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  make DESTDIR="${pkgdir}" install
+  rm -rf docs/examples/.deps
+  find docs \( -name Makefile\* -o -name \*.1 -o -name \*.3 \) -exec rm {} \;
+  install -vdm755 "${pkgdir}/usr/share/doc/${pkgname}-${pkgver}"
+  cp -Rv docs/* "${pkgdir}/usr/share/doc/${pkgname}-${pkgver}"
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-setuptools" role="wrap">
+  <?dbhtml filename="setuptools.html"?>
+
+  <sect1info condition="script">
+    <productname>setuptools</productname>
+    <productnumber>&setuptools-version;</productnumber>
+    <address>&setuptools-url;</address>
+  </sect1info>
+
+  <title>setuptools-&setuptools-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="setuptools"
+pkgver="&setuptools-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+source=('&setuptools-url;')
+md5sums=('&setuptools-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  python3 setup.py build
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1 --skip-build
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-pip" role="wrap">
+  <?dbhtml filename="pip.html"?>
+
+  <sect1info condition="script">
+    <productname>pip</productname>
+    <productnumber>&pip-version;</productnumber>
+    <address>&pip-url;</address>
+  </sect1info>
+
+  <title>pip-&pip-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="pip"
+pkgver="&pip-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core')
+source=('&pip-url;')
+md5sums=('&pip-md5;')
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  python3 setup.py build
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  python3 setup.py install --prefix=/usr --root="$pkgdir" --optimize=1
+  ln -sfv pip3.9 ${pkgdir}/usr/bin/pip3
+  ln -sfv pip3.9 ${pkgdir}/usr/bin/pip
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-pacman" role="wrap">
+  <?dbhtml filename="pacman.html"?>
+
+  <sect1info condition="script">
+    <productname>pacman</productname>
+    <productnumber>&pacman-version;</productnumber>
+    <address>&pacman-url;</address>
+  </sect1info>
+
+  <title>Pacman-&pacman-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "REALEOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="pacman"
+pkgver="&pacman-version;"
+_hooksver="&pacman-hooks-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core'
+         'curl'
+         'fakeroot'
+         'libarchive')
+optdepends=('asciidoc'
+            'doxygen'
+            'gpgme'
+            'libassuan'
+            'libgcrypt'
+            'libgpg-error'
+            'libksba'
+            'libtasn1'
+            'pth'
+            'sqlite')
+source=('&pacman-url;'
+        '&pacman-hooks-url;')
+noextract=("pacman-hooks-${_hooksver}.tar.xz")
+md5sums=('&pacman-md5;'
+         '&pacman-hooks-md5;')
+backup=('etc/pacman.conf'
+        'etc/makepkg.conf')
+
+prepare(){
+  cd "${pkgname}-${pkgver}"
+  tar -xf ${srcdir}/pacman-hooks-${_hooksver}.tar.xz
+}
+
+build(){
+  cd "${pkgname}-${pkgver}"
+  meson --prefix=/usr                   \
+        --buildtype=plain               \
+        -Ddoc=disabled                  \
+        -Ddoxygen=disabled              \
+        -Dscriptlet-shell=/usr/bin/bash \
+        -Dldconfig=/usr/bin/ldconfig    \
+        build
+  meson compile -C build
+}
+
+check(){
+  cd "${pkgname}-${pkgver}"
+  # 19 additional tests are know to fail because prior tests don't clean-up
+  meson test -C build || true
+}
+
+package(){
+  cd "${pkgname}-${pkgver}"
+  DESTDIR="${pkgdir}" meson install -C build
+  # Don't install systemd hooks on sysv (or other)
+  if [ ! -d /usr/lib/systemd ]; then
+    rm -f pacman-hooks-${_hooksver}/hooks/*systemd*
+    rm -f pacman-hooks-${_hooksver}/hooks/dbus-reload.hook
+    rm -f pacman-hooks-${_hooksver}/scripts/*systemd*
+  fi
+  sed '/^Target/s@/\*@/*.info*@' -i \
+      pacman-hooks-${_hooksver}/hooks/texinfo-install.hook
+  install -vdm755 ${pkgdir}/usr/share/libalpm/{hooks,scripts}/
+  install -vm644 pacman-hooks-${_hooksver}/hooks/* \
+                 ${pkgdir}/usr/share/libalpm/hooks/
+  install -vm755 pacman-hooks-${_hooksver}/scripts/* \
+                 ${pkgdir}/usr/share/libalpm/scripts/
+  cat &gt;&gt; ${pkgdir}/etc/makepkg.conf &lt;&lt; EOF
+PACKAGER="Linux From Scratch &lt;lfs-dev@lists.linuxfromscrtch.org&gt;"
+PKGDEST="/srv/pacman/repos/LFS"
+SRCDEST="/sources"
+LOGDEST="/srv/pacman/logs/LFS"
+EOF
+  sed -e /PKGEXT/s/gz/xz/                                \
+      -e /SRCEXT/s/gz/xz/                                \
+      -e /^INTEGRITY/s/ck/md5/                           \
+      -e '/^OPTIONS/s/\([^!]\)emptydirs/\1!emptydirs/'   \
+      -e '/^OPTIONS/s/\([^!]\)libtoo/\1!libtool/'        \
+      -e '/^OPTIONS/s/\([^!]\)staticlibs/\1!staticlibs/' \
+      -i ${pkgdir}/etc/makepkg.conf
+  cat &gt;&gt; ${pkgdir}/etc/pacman.conf &lt;&lt; "EOF"
+
+[LFS]
+SigLevel = Optional TrustAll
+Server = file:///srv/pacman/repos/LFS
+
+EOF
+}
+REALEOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-pacman-contrib" role="wrap">
+  <?dbhtml filename="pacman-contrib.html"?>
+
+  <sect1info condition="script">
+    <productname>pacman-contrib</productname>
+    <productnumber>&pacman-contrib-version;</productnumber>
+    <address>&pacman-contrib-url;</address>
+  </sect1info>
+
+  <title>pacman-contrib-&pacman-contrib-version;</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="pacman-contrib"
+pkgver="&pacman-contrib-version;"
+pkgrel="1"
+pkgdesc="${pkgname} ${pkgver}"
+arch=()
+license=()
+groups=('core-pacman')
+depends=('core'
+         'pacman')
+source=('&pacman-contrib-url;'
+        '&pacman-contrib-patch-url;')
+md5sums=('&pacman-contrib-md5;'
+         '&pacman-contrib-patch-md5;')
+
+prepare(){
+  cd "${pkgname}-v${pkgver}"
+  patch -Np1 -i ${srcdir}/&pacman-contrib-patch;
+  chmod 755 configure
+}
+
+build(){
+  cd "${pkgname}-v${pkgver}"
+  ./configure --prefix=/usr        \
+              --sysconfdir=/etc    \
+              --localstatedir=/var \
+              --disable-doc
+  make
+}
+
+#check(){
+#  cd "${pkgname}-v${pkgver}"
+#  make -k check || true
+#}
+
+package(){
+  cd "${pkgname}-v${pkgver}"
+  make DESTDIR=${pkgdir} install
+  vimdir=$(ls -d /usr/share/vim/vim[0-9]* | tail -n 1)
+  install -vdm755 ${pkgdir}/${vimdir}
+  mv -v ${pkgdir}/usr/share/vim/vimfiles/* \
+        ${pkgdir}/${vimdir}
+  rm -rf ${pkgdir}/usr/share/vim/vimfiles
+}
+EOF</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
+<sect1 id="ch-system-core-pacman" role="wrap">
+  <?dbhtml filename="core-pacman.html"?>
+
+  <sect1info condition="script">
+    <productname>core-pacman</productname>
+    <productnumber>1.0</productnumber>
+    <address>&lfs-root;</address>
+  </sect1info>
+
+  <title>core-1.0</title>
+
+  <sect2 role="installation">
+    <title/>
+<screen><userinput remap="install">pacman -Qg | grep core-pacman | cut -d " " -f 2 | \
+    sed 's@^@          @' &gt; pkglist
+cat &gt; PKGBUILD &lt;&lt; "EOF"
+# Maintainer: Linux From Scratch &lt;lfs-dev@lists.linuxfromscratch.org&gt;
+
+pkgname="core-pacman"
+pkgver="1.0"
+pkgrel="1"
+pkgdesc="core-pacman meta-package"
+url="https://www.linuxfromscratch.org/"
+arch=('any')
+license=('CC-BY-SA-2.0')
+depends=(
+EOF
+cat pkglist >> PKBUILD
+echo "         )" >> PKGBUILD</userinput></screen>
+
+  </sect2>
+
+</sect1>
+
 </article>
